## libtelepathy 0.0.17-0osso1

=== debian/changelog ===
libtelepathy (0.0.17-0osso1) unstable; urgency=low

  * Autogeneration of Contact Search interface code from XML was
    disabled. Additionally, the handwritten related code is
    disabled. Fixes: NB #34291

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Tue, 11 Jul 2006 12:09:25 +0300

libtelepathy (0.0.16-0osso1) unstable; urgency=low

  * When TpChan and TpConn objects are about to be destroyed, Closed and
    StatusChanged signals are synthesized correspondingly. Fixes: NB#28543

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Tue, 27 Jun 2006 11:51:39 +0300

libtelepathy (0.0.15-0osso1) unstable; urgency=low

  * New release.
    - Simple build/dist fixes.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 20 Jun 2006 13:19:54 +0100

libtelepathy (0.0.14-0osso1) unstable; urgency=low

  * New release.
    - Add client-side properties interface.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 15 Jun 2006 20:59:08 +0100

libtelepathy (0.0.13-0osso1) unstable; urgency=low

  * Added some missing values to tp-constants.h. Fixes bugs #31670 and
  #31671.
  * Don't destroy connection_parameters hash table. Fixes bug #31643.

 -- Jussi Laako (VSy) <jussi.laako@nokia.com>  Fri,  2 Jun 2006 15:34:16 +0300

libtelepathy (0.0.12-0osso1) unstable; urgency=low

  * Synced tp-constants.h with telepathy-gabble.
  * tp_conn_new() now returns NULL on failure.

 -- Jussi Laako (VSy) <jussi.laako@nokia.com>  Wed, 31 May 2006 13:34:23 +0300

libtelepathy (0.0.11-0osso1) unstable; urgency=low

  * Update for latest stable Telepathy spec, inline with
    telepathy-gabble changes.

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Thu, 25 May 2006 19:06:04 +0100

libtelepathy (0.0.10-0osso1) unstable; urgency=low

  * Libtelepathy now synthesizes Closed signals for channel objects
    while disposing and approriate StatusChanged signals to indicate
    when connections are disconnected. This fixes bug #28543.
  * A small memory leak in the creation of new connection objects was
    fixed (bug #28756)

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Fri, 12 May 2006 15:43:58 +0300

libtelepathy (0.0.9-0osso1) unstable; urgency=low

  * New upstream version.
  * Adds support for the org.freedesktop.Telepathy.Properties interface.

 -- Robert McQueen <robot101@debian.org>  Mon, 24 Apr 2006 09:04:09 +0100

libtelepathy (0.0.8-0osso1) unstable; urgency=low

  * New upstream release

 -- Jussi Laako (TIn) <jussi.laako@nokia.com>  Sun,  9 Apr 2006 12:13:02 +0300

libtelepathy (0.0.7-0osso1) unstable; urgency=low

  * New upstream version
  * The StreamStateChanged signal is supported

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Thu,  6 Apr 2006 18:02:45 +0300

libtelepathy (0.0.6-0osso1) unstable; urgency=low

  * New upstream version.

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Thu,  6 Apr 2006 11:14:25 +0300

libtelepathy (0.0.5-1) unstable; urgency=low

  * Added a function to free a key value list.

 -- Jussi Laako (TIn) <jussi.laako@nokia.com>  Tue,  4 Apr 2006 10:27:33 +0300

libtelepathy (0.0.4-1) unstable; urgency=low

  * Missing unit tests were added.

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Wed, 15 Mar 2006 18:37:50 +0200

libtelepathy (0.0.3) unstable; urgency=low

  * Signal marshallers for MembersChanged and CapabilitiesChanged
    signals were incomplete. Fixed.

 --  Jussi Laako (DRo) <jussi.laako@nokia.com>  Mon,  6 Mar 2006 10:48:50 +0200

libtelepathy (0.0.2-1) unstable; urgency=low

  * Fixed the missing signal marshallers / argument signature setups.
  * Fixed buggy dispose handlers for TpConn, TpChan and TpConnMgr
    objects
  * The xml subdirectory Makefile.am now allows overriding of the all
    target

 --  Jussi Laako (DRo) <jussi.laako@nokia.com>  Wed,  1 Mar 2006 09:48:10 +0200

libtelepathy (0.0.1-3) unstable; urgency=low

  * tp_chan_new:
    - add 'type' argument as interface
      in a future patch: additional interfaces should be automatically
      enumerated using GetInterfaces so that the function for manually
      adding those can be removed 
    - made 'type' argument const

 --  Jussi Laako (DRo) <jussi.laako@nokia.com>  Wed, 22 Feb 2006 14:23:51 +0200

libtelepathy (0.0.1-2) unstable; urgency=low

  * initial release

 -- Jussi Laako (RKe) <jussi.laako@nokia.com>  Fri, 25 Nov 2005 11:55:03 +0200
