=== debian/control ===
Source: libtelepathy
Section: libs
Priority: optional
Maintainer: Jussi Laako <jussi.laako@nokia.com> (RKe)
Build-Depends: debhelper (>= 4.0.0), pkg-config, libdbus-1-dev (>=0.60), libdbus-glib-1-dev (>= 0.60), perl, cdbs, libexpat1-dev
Standards-Version: 3.6.0

Package: libtelepathy
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy client library

Package: libtelepathy-dbg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy debug client library

Package: libtelepathy-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtelepathy (= ${Source-Version})
Description: Telepathy client library development files
