=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR=debian/tmp

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_PREFIX=/usr
DEB_CONFIGURE_SYSCONFDIR=/etc
DEB_DH_STRIP_ARGS=--dbg-package=libtelepathy

cleanbuilddir/libtelepathy::
	rm -f configure
	rm -f xml/*.xml xml/Makefile.in
	rm -f Makefile.in
	rm -f depcomp
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f config.h.in
	rm -f missing
	rm -f aclocal.m4
	rm -f install-sh
	rm -f tests/Makefile.in
	rm -f tests/tester
	rm -f src/Makefile.in

debian/stamp-autotools-files:
	autoreconf -v --install
	touch debian/stamp-autotools-files
