## libtelepathy 0.0.39-0osso1

=== debian/changelog ===
libtelepathy (0.0.39-0osso1) unstable; urgency=low

  * New upstream release.
    - Build process improvements.
    - Add GetPresence method. Fixes: NB#46868.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu,  9 Nov 2006 11:12:10 +0200

libtelepathy (0.0.38-0osso1.1) unstable; urgency=low

  * dependencies for -dbg package fixed
  * forbidden words removed

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Fri, 13 Oct 2006 13:37:26 +0300

libtelepathy (0.0.38-0osso1) unstable; urgency=low

  * New release.
    - Fix declarations of CapabilitiesChanged and Aliases changed signals.
    - Improve XML generation process.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 12 Oct 2006 16:10:20 +0100

libtelepathy (0.0.37-0osso1) unstable; urgency=low

  * add TP_ prefix to media stream pending state constants

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 12 Sep 2006 17:21:43 +0100

libtelepathy (0.0.36-0osso1) unstable; urgency=low

  * Missing constant definitions (TelepathyChannelGroupChangeReason and
    TelepathyChannelTextMessageFlag) have been added. Fixes: NB#40236

 --  Jussi Laako (MYr) <jussi.laako@nokia.com>  Tue, 12 Sep 2006 16:58:00 +0300

libtelepathy (0.0.35-0osso1) unstable; urgency=low

  * Mark xml/gen-xml.sh as executable.
  * Add .list files to EXTRA_DIST.
  * Distribute gen-xml.sh.

 -- Dafydd Harries <daf@debian.org>  Mon, 11 Sep 2006 14:10:58 +0100

libtelepathy (0.0.34-0osso1) unstable; urgency=low

  * Update to spec version 0.13.5.
  * Add RemoveStream method to StreamedMedia channels, fix RequestStreams to
     return the same as ListStreams, and add a Close signal on media stream
     handlers.

 -- Robert McQueen <robot101@debian.org>  Mon, 11 Sep 2006 11:28:17 +0300

libtelepathy (0.0.33-0osso1) unstable; urgency=low

  * Update to spec version 0.13.4.
  * Bump .so name to 2 due to incompatible changes.

 -- Robert McQueen <robot101@debian.org>  Sun, 10 Sep 2006 16:12:11 +0300

libtelepathy (0.0.32-0osso1) unstable; urgency=low

  * Reverted the way GetInterfaces gets called for new TpConnn objects,
    so that already connected connections get to call it as well. Fixes:
    NB #38722

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Fri, 25 Aug 2006 16:49:41 +0300

libtelepathy (0.0.31-0osso2) unstable; urgency=low

  * Fix version in configure.ac.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 24 Aug 2006 17:27:14 +0100

libtelepathy (0.0.31-0osso1) unstable; urgency=low

  * New version.
  * Changes:
    - Apply patch from Jens Granseuer for C89 compliance.
    - Add tool for generating interface XML from Telepathy specification.
    - Regenerate interface XML from Telepathy specification.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 24 Aug 2006 17:27:14 +0100

libtelepathy (0.0.30-0osso1) unstable; urgency=low

  * Updated libtelepathy to support specifiction 0.13.3 features
    including avatars, SessionHandlers, StreamHandlers and IceSignalling
    interface for channels. Obsolete Subject interface was dropped.

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 22 Aug 2006 14:56:50 +0300

libtelepathy (0.0.20-0osso1) unstable; urgency=low

  * rereleased to be consistent with its own version number

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Wed,  9 Aug 2006 10:15:07 +0300

libtelepathy (0.0.18-1osso1) unstable; urgency=low

  * Reverted troublesome and unnecessary lt major version bump. Fixes:
    NB #35648

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Wed, 26 Jul 2006 10:53:29 +0300

libtelepathy (0.0.18-0osso1) unstable; urgency=low

  * InspectHandles method for connections has been added

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Thu, 20 Jul 2006 15:42:08 +0300
