=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libtelepathy
 Section: libs
 Priority: optional
-Maintainer: Jussi Laako <jussi.laako@nokia.com> (RKe)
+Maintainer: Jussi Laako <jussi.laako@nokia.com>
 Build-Depends: debhelper (>= 4.0.0), pkg-config, libdbus-1-dev (>=0.60), libdbus-glib-1-dev (>= 0.60), perl, cdbs, libexpat1-dev
 Standards-Version: 3.6.0
 
@@ -14,7 +14,7 @@
 Package: libtelepathy-dbg
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libtelepathy (= ${Source-Version})
 Description: Telepathy debug client library
 
 Package: libtelepathy-dev
