=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,18 @@
 DEB_CONFIGURE_PREFIX=/usr
 DEB_CONFIGURE_SYSCONFDIR=/etc
 DEB_DH_STRIP_ARGS=--dbg-package=libtelepathy
+
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+	PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
+		sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
+	ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
+		PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
+			then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
+			else echo 1; fi)
+	endif
+	NJOBS := -j$(PARALLEL_JOBS)
+endif
+DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)
 
 cleanbuilddir/libtelepathy::
 	rm -f configure
@@ -25,6 +37,5 @@
 	rm -f tests/tester
 	rm -f src/Makefile.in
 
-debian/stamp-autotools-files:
+makebuilddir/libtelepathy::
 	autoreconf -v --install
-	touch debian/stamp-autotools-files
