## libtelepathy 0.2.0-0osso1

=== debian/changelog ===
libtelepathy (0.2.0-0osso1) unstable; urgency=low

  * New upstream release.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 01 Oct 2007 15:17:10 +0100

libtelepathy (0.0.58-0osso1) unstable; urgency=low

  * New version:
     - adds some robustness against NULL/invalid arguments passed to public
        API functions, and handling GErrors more cautiously

 -- Robert McQueen <robot101@debian.org>  Wed, 26 Sep 2007 10:59:54 +0300

libtelepathy (0.0.57-0osso1) unstable; urgency=low

  * New version.
    - Supports spec version 0.15.5, including GetKnownAvatarTokens().

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Fri, 07 Sep 2007 19:43:47 +0100

libtelepathy (0.0.55-0osso3.2) unstable; urgency=low

  * so-version added to library name

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Wed,  8 Aug 2007 17:52:11 +0300

libtelepathy (0.0.55-0osso3.1) unstable; urgency=low

  * debian/compat file added. Fixes: NB#63066.

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Wed, 11 Jul 2007 14:33:00 +0300

libtelepathy (0.0.55-0osso3) unstable; urgency=low

  * Fix AvatarRetrieved signal registration to have correct type.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 05 Jul 2007 17:10:24 +0100

libtelepathy (0.0.55-0osso2) unstable; urgency=low

  * Register AvatarRetrieved signal.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 02 Jul 2007 15:54:11 +0100

libtelepathy (0.0.55-0osso1) unstable; urgency=low

  * Update to spec version 0.15.4, including:
     - improved signal-based avatar API
     - group change reason for permission denied
     - group method for RemoveWithReason
     - group flag to indicate when handle owners are unavailable
     - new handle-name in GotRooms signal

 -- Robert McQueen <robot101@debian.org>  Thu, 31 May 2007 16:59:09 +0300

libtelepathy (0.0.54-0osso1) unstable; urgency=low

  * Update spec to 0.15.3.
  * Add a better API wrapping RequestConnection which does not implicitly
    call Connect().

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 03 May 2007 16:29:01 +0100

libtelepathy (0.0.53-0osso1) unstable; urgency=low

  * Update spec to 0.15.2.

 -- Robert McQueen <robot101@debian.org>  Fri, 13 Apr 2007 15:54:54 +0100

libtelepathy (0.0.52-0osso1) unstable; urgency=low

  * Update to spec 0.15.1, with updated DTMF APIs.

 -- Robert McQueen <robot101@debian.org>  Fri, 13 Apr 2007 03:22:49 +0100

libtelepathy (0.0.51-0osso1.1) unstable; urgency=low

  * .la files removed from dev packages

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Wed, 28 Mar 2007 13:28:15 +0300

libtelepathy (0.0.51-0osso1) unstable; urgency=low

  * Fix parallel-build failures.
  * Add compatibility defines for TelepathyConnectionHandleType and
     TP_MEDIA_STREAM_DIRECTION_RECIEVE.
  * Mark LAST_FOO as deprecated, in favour of NUM_FOO.
  * You can now define LIBTELEPATHY_DISABLE_DEPRECATED to disable these
     deprecated symbol names.
  * Fix assertion errors related to calling dbus_g_error_get_name on GErrors
     which aren't generated from the remote exceptions.

 -- Robert McQueen <robot101@debian.org>  Wed, 28 Feb 2007 12:50:07 +0000

libtelepathy (0.0.50-0osso1) unstable; urgency=low

  * Implement missing tp_props_iface_property_flags function.
  * Generate most source and enums directly from spec.
  * Updated to spec 0.15.0.

 -- Robert McQueen <robot101@debian.org>  Tue, 27 Feb 2007 00:33:32 +0000

libtelepathy (0.0.41-0osso1) unstable; urgency=low

  * New version.
    - update support for .manager files
    - fix missing include in tp-helpers.h

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 28 Dec 2006 15:25:34 +0000

libtelepathy (0.0.40-0osso1) unstable; urgency=low

  * Don't synthesize DBus Closed/StatusChanged signals for disposed proxies.
    Fixes: NB#48208.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 27 Nov 2006 16:34:50 +0000
