=== debian/control ===
Source: libtelepathy
Section: libs
Priority: optional
Maintainer: Jussi Laako <jussi.laako@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, libdbus-1-dev (>=0.60), libdbus-glib-1-dev (>= 0.60), perl, cdbs, libexpat1-dev, xsltproc
Standards-Version: 3.6.0

Package: libtelepathy2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtelepathy
Provides: libtelepathy
Replaces: libtelepathy
Description: Telepathy client library

Package: libtelepathy2-dbg
Section: libdevel
Architecture: any
Depends: libtelepathy2 (= ${Source-Version})
Description: Telepathy debug client library

Package: libtelepathy-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtelepathy2 (= ${Source-Version})
Description: Telepathy client library development files
