## libtelepathy 0.3.1-0osso2

=== debian/changelog ===
libtelepathy (0.3.1-0osso2) unstable; urgency=low

  * Added missing files to the package

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 07 Dec 2007 13:04:43 +0100

libtelepathy (0.3.1-0osso1) unstable; urgency=low

  * Correct .pc file
  * Fix check-compat for out of tree builds
  * Use $(srcdir) for whitelist.txt, deprecated.txt
  * Version 0.3.1 (libtool c:r:a = 8:0:6)
  * Turn off -Werror in everything_CFLAGS now I know it works
  * Generate a header containing all of libtelepathy's public API and check that it can be included in a file that also includes all of telepathy-glib's public API
  * Use the spec's copy of Channel_Handler, not ours
  * Split "whitelisted" (= tp-glib) constants away from deprecated ones.
  * Update spec to 0.17.0
  * Re-order configure.ac so we set $PKG_CONFIG before trying to use it
  * Sync c-constants-generator, c-interfaces-generator from telepathy-glib 0.7.0
  * Instead of using our own copy of the whitelisted interface declarations/macros, use tp-glib's
  * Require telepathy-glib 0.7.0, and use *its* version of tp_get_bus(), tp_get_bus_proxy() and the stable tp_iface_quark_* functions
  * Do all checking for libraries at once
  * Link against telepathy-glib 0.6.x (only!); remove our version of tp_get_bus(|_proxy) in favour of using telepathy-glib's
  * Make src/ before src/check-compat/
  * Move check-backwards-compat to new directory src/check-compat/ and add tests that all headers are individually includable *without* LIBTELEPATHY_DISABLE_DEPRECATED (we know they're includable *with* that symbol, because of src/*.c)
  * Separate generation of tp-glib-like interface (quark) stuff from generation of libtp aliases
  * Split interface quark code into deprecated and whitelisted interfaces
  * Add machinery for splitting interfaces into supported and deprecated. Compile all code from the combined list for now
  * Generate LIBTELEPATHY_DISABLE_DEPRECATED guards around the old interface quark names
  * Change some header guards to LIBTELEPATHY_* to avoid possible conflicts with telepathy-glib
  * Avoid use of some deprecated #defines in libtelepathy itself
  * Compile everything except check-backwards-compat.c with -DLIBTELEPATHY_DISABLE_DEPRECATED
  * Fix some of the backwards-compat glue (bugs.fd.o #13282)
  * Add a simple check for some of the backwards-compat glue (bugs.fd.o #13282)
  * Unset release flag
  * version 0.3.0 (libtool c:r:a = 7:0:5)
  * Add tp_connmgr_new_connection_without_connect - same reasoning as tp_conn_new_without_connect
  * Deprecate various unwanted API
  * Sync codegen tools from telepathy-glib
  * Fix indentation in tp-conn.c
  * libtp-add-signal-gen.py: generate less redundancy
  * src/tp-chan.c: indentation
  * Fix some uses of deprecated constant names
  * Only generate #defines in libtp-constants-generator, and use the normal c-constants-generator to generate the "official" naming
  * Make the official names for libtelepathy connection constants match the tp-glib ones; generate #defines to remap them
  * Make the official name of the libtelepathy enums TpFoo, with TelepathyFoo as a #define (for alignment with telepathy-glib)
  * Comment functions that already exist in telepathy-glib
  * Generate signals marshaller implementations in _gen/
  * _boring: no longer ignore *-signals-marshal.c, they should be generated in _gen/ anyway
  * tp-conn-ifaces-signal-setters.[ch]: Telepathy coding style
  * tp-*-ifaces-signal-setters.[ch]: fix copyright headers
  * tp-chan-ifaces-signal-setters.c: Telepathy coding style
  * src/Makefile.am: simplify; check coding style of all hanrwritten C sources
  * Add coding style check tools (from telepathy-glib)
  * tp-props-iface.h: Telepathy coding style
  * tp-props-iface.c: fix copyright header
  * tp-helpers.h: prune trailing whitespace
  * tp-helpers.c: more whitespace
  * tp-connmgr.h: Telepathy coding style
  * tp-connmgr.h: fix copyright header
  * tp-conn.h: Telepathy coding style
  * tp-conn.h: fix copyright header
  * tp-conn.c: tweak comment to fix coding-style-check falsepositive
  * tp-chan.h: Telepathy coding style
  * tp-chan.h: fix copyright header
  * _boring: ignore tp-get-connmgr-info executable
  * Merge with HEAD: revert Guillaume's addition of NewTube marshaller
  * tp-props-iface: style
  * tp-props-iface: use shared marshaller-registration, get rid of useless dispose(), fix style of class_init
  * tp-props-iface: fix style, hoist static functions
  * tp-helpers.h: use the auto-generated constants
  * tp-helpers.h: style
  * tp-helpers.h: style
  * tp-constants.h: fix whitespace
  * Indentation
  * Indentation
  * Indentation
  * Whitespace/style
  * Whitespace/style
  * Whitespace/style
  * tp-helpers: fix parsing of default-foo in .manager files
  * tp-helpers: whitespace
  * tp-helpers: whitespace
  * tp-helpers: stylistic fixes to tp_connmgr_info_free
  * tp-helpers: Remove useless forward declaration of _scan_dir
  * Hoist, reformat _prot_param_free in tp-helpers.c
  * tp-helpers: hoist _list_builder, reformat
  * tp-helpers: stylistic fixes
  * tp-helpers: fix copyright
  * tp-conn: fix copyright header
  * tp-conn: indentation etc.
  * tp-conn: indentation etc., remove useless finalize function
  * tp-chan: indentation etc.
  * tp-connmgr: fix indentation
  * tp-connmgr: fix up coding style for tp_connmgr_new_connection, comment a probably-unnecessary check
  * tp-connmgr: fix up coding style for tp_connmgr_new
  * tp-connmgr: fix up coding style for tp_connmgr_new
  * tp-connmgr: clean up coding style, remove useless finalize method and useless get/set property handler assignments
  * tp-connmgr: fix up copyright header
  * tp-connmgr: clean up includes
  * tp-conn: clean up includes
  * tp-chan: clean up #includes
  * Register all marshallers centrally, when a connmgr, conn or chan is first created
  * Add whitelist of interfaces for which code-gen should be done (everything except Contact_Search)
  * Only generate stuff for whitelisted interfaces

