=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Jussi Laako <jussi.laako@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), pkg-config, libdbus-1-dev (>=0.60), libdbus-glib-1-dev (>= 0.60), perl, cdbs, libexpat1-dev, xsltproc
+Build-Depends: debhelper (>= 4.0.0), pkg-config, libdbus-1-dev (>=0.60), libdbus-glib-1-dev (>= 0.60), perl, cdbs, libexpat1-dev, xsltproc, libtelepathy-glib-dev (>= 0.7.0)
 Standards-Version: 3.6.0
 
 Package: libtelepathy2
@@ -23,5 +23,5 @@
 Package: libtelepathy-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libtelepathy2 (= ${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libtelepathy2 (= ${Source-Version}), libtelepathy-glib-dev (>= 0.7.0)
 Description: Telepathy client library development files
