=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 DEB_CONFIGURE_PREFIX=/usr
 DEB_CONFIGURE_SYSCONFDIR=/etc
-DEB_DH_STRIP_ARGS=--dbg-package=libtelepathy
+DEB_DH_STRIP_ARGS=--dbg-package=libtelepathy2
 
 ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
 	PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
@@ -37,5 +37,7 @@
 	rm -f tests/tester
 	rm -f src/Makefile.in
 
-makebuilddir/libtelepathy::
+debian/stamp-autotools-files:
 	autoreconf -v --install
+	touch debian/stamp-autotools-files
+
